Subject: [Ipsec] Errata in 4305 RE: Question about RFC 4305

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Mon, 20 Feb 2006 11:16:30 -0500

Ahhh.... Looks to me like the Obsoletes header in RFC 4305 should say "2402, 2406". Not "2404, 2406".
 
This should be added to the errata database and fixed in RFC obsoletes/updates database.
 
2404 had not been obsoleted!
 
Donald
 
 From: Michael Hernecq [mailto:[email-masked]]   
Sent: Friday, February 17, 2006 11:13 AM
To: Eastlake III Donald-LDE008
Subject: Question about RFC 4503

Hello, 

I'm software engineer in Philips Semiconductors, and I'm currently reading RFCs related to IPSEC. 
I have a question about the RFC 4305. 

In the header of this RFC it is stated that RFC 2404 is now obsolete, but later in the same documents 
the same RFC is mentionned as MUST. 

In section 3.1.1 
      Requirement    Authentication Algorithm (notes)
     -----------    ------------------------
     MUST           HMAC-SHA1-96 [RFC2404]
     MUST           NULL (1)
     SHOULD+        AES-XCBC-MAC-96 [RFC3566]
     MAY            HMAC-MD5-96 [RFC2403] (2)

In section 3.2 
      Requirement    Algorithm (notes)
     -----------    ---------
     MUST           HMAC-SHA1-96 [RFC2404]
     SHOULD+        AES-XCBC-MAC-96 [RFC3566]
     MAY            HMAC-MD5-96 [RFC2403] (1)

What is the meaning of the obsolete statement ? This is quite strange for me. 
Could you help me to clarify this ? 

Thank you in advance for your answer. 

Best regards,
-- 
Michael Hernecq
Telecom SubSystem
PHILIPS SEMICONDUCTORS
Route d'Angers - 72081 Le Mans Cedex 09 - France          

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec